Index: /pjproject/trunk/pjmedia/build/wince-evc4/pjmedia_wince.vcp
===================================================================
--- /pjproject/trunk/pjmedia/build/wince-evc4/pjmedia_wince.vcp	(revision 1735)
+++ /pjproject/trunk/pjmedia/build/wince-evc4/pjmedia_wince.vcp	(revision 1736)
@@ -20895,5 +21897,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE emulator) Debug"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\addr_resolv.h"\
 	"..\..\..\pjlib\include\pj\array.h"\
@@ -20974,5 +21976,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE ARMV4I) Release"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
@@ -21029,5 +22031,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE ARMV4I) Debug"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
@@ -21084,5 +22086,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE ARMV4) Release"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
@@ -21133,5 +22135,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE ARMV4) Debug"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\addr_resolv.h"\
 	"..\..\..\pjlib\include\pj\array.h"\
@@ -21212,5 +22214,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE ARMV4T) Release"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
@@ -21267,5 +22269,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE ARMV4T) Debug"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
@@ -21322,5 +22324,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE x86) Release"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
@@ -21377,5 +22379,5 @@
 !ELSEIF  "$(CFG)" == "pjmedia_wince - Win32 (WCE x86) Debug"
 
-DEP_CPP_TRANSP=\
+DEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\addr_resolv.h"\
 	"..\..\..\pjlib\include\pj\array.h"\
@@ -21441,5 +22443,5 @@
 	"..\..\include\pjmedia\types.h"\
 	
-NODEP_CPP_TRANSP=\
+NODEP_CPP_TRANSPO=\
 	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
 	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
Index: /pjproject/trunk/pjsip-apps/build/wince-evc4/wince_demos.vcw
===================================================================
--- /pjproject/trunk/pjsip-apps/build/wince-evc4/wince_demos.vcw	(revision 1735)
+++ /pjproject/trunk/pjsip-apps/build/wince-evc4/wince_demos.vcw	(revision 1736)
@@ -76,4 +76,16 @@
 ###############################################################################
 
+Project: "libsrtp"="..\..\..\third_party\build\srtp\libsrtp.vcp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
 Project: "pjlib_util_wince"="..\..\..\pjlib-util\build\wince-evc4\pjlib_util_wince.vcp" - Package Owner=<4>
 
@@ -258,4 +270,7 @@
     Project_Dep_Name libmilenage
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name libsrtp
+    End Project Dependency
 }}}
 
Index: /pjproject/trunk/third_party/build/srtp/srtp_config.h
===================================================================
--- /pjproject/trunk/third_party/build/srtp/srtp_config.h	(revision 1735)
+++ /pjproject/trunk/third_party/build/srtp/srtp_config.h	(revision 1736)
@@ -138,4 +138,18 @@
 #endif
 
+/* clock()  */
+#if defined(PJ_WIN32_WINCE) && PJ_WIN32_WINCE!=0
+    /* clock() causes unresolved symbol on linking */
+#   define _CLOCK_T_DEFINED
+#   define CLOCKS_PER_SEC   1000
+#   define clock_t	    unsigned
+
+    #include <windows.h>
+    static clock_t clock(void)
+    {
+	return GetTickCount();
+    }
+#endif
+
 
 /* Path to random device */
Index: /pjproject/trunk/third_party/srtp/crypto/ae_xfm/xfm.c
===================================================================
--- /pjproject/trunk/third_party/srtp/crypto/ae_xfm/xfm.c	(revision 1735)
+++ /pjproject/trunk/third_party/srtp/crypto/ae_xfm/xfm.c	(revision 1736)
@@ -178,4 +178,7 @@
 #define ENC 1
 
+// eVC4 declares DEBUG
+#undef DEBUG
+
 #define DEBUG 0
 
